Qyra
ReferenceUntagged

POST/api/v1/projects/{projectUuid}/aiAgents/thread-shares/{aiThreadShareUuid}/clone

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes
aiThreadShareUuidstringYes

Responses

200 — Success

{
  "results": {
    "liveStatus": {
      "source": "deterministic",
      "stateChangedAt": "string",
      "state": "working",
      "threadUuid": "string"
    },
    "user": {
      "name": "string",
      "uuid": "string"
    },
    "firstMessage": {
      "message": "string",
      "uuid": "string"
    },
    "pinnedAt": "string",
    "titleGeneratedAt": "string",
    "title": "string",
    "createdFrom": "slack",
    "createdAt": "string",
    "agentUuid": "string",
    "uuid": "string"
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}